log4cplus::internal::appender_sratch_pad Struct Reference

`#include <internal.h>`

## Public Member Functions

| appender_sratch_pad ()
| ~appender_sratch_pad ()

## Public Attributes

tostringstream | oss
tstring | str
std::string | chstr

## Detailed Description

Definition at line 100 of file internal.h.

## Constructor & Destructor Documentation

## appender_sratch_pad()

log4cplus::internal::appender_sratch_pad::appender_sratch_pad | ( |  | ) |

## ~appender_sratch_pad()

log4cplus::internal::appender_sratch_pad::~appender_sratch_pad | ( |  | ) |

## Member Data Documentation

## chstr

std::string log4cplus::internal::appender_sratch_pad::chstr

Definition at line 107 of file internal.h.

## oss

tostringstream log4cplus::internal::appender_sratch_pad::oss

Definition at line 105 of file internal.h.

## str

tstring log4cplus::internal::appender_sratch_pad::str

Definition at line 106 of file internal.h.

The documentation for this struct was generated from the following file:

- internal.h